<?php

namespace itguild\forms;

use itguild\forms\inputs\Checkbox;
use itguild\forms\inputs\Select;
use itguild\forms\inputs\TextInput;
use itguild\forms\inputs\Label;
use itguild\forms\inputs\RadioButton;
use itguild\forms\inputs\TextArea;
use itguild\forms\inputs\Button;

class Form {

    /**
     * @param string $action
     * @return void
     */
    public function beginForm(string $action): void
    {
        echo "<form method='POST' action='$action'>";
    }

    /**
     * @param string $name
     * @param array $paramsArray
     * @return void
     */

    public function textInput(string $name, array $paramsArray = []): void
    {
        TextInput::build($name, $paramsArray);
    }

    /**
     * @param string $name
     * @param string $value
     * @param array $paramsArray
     * @return void
     */
    public function checkBox(string $name, string $value, array $paramsArray = []): void
    {
        Checkbox::build($name, $value, $paramsArray);

    }

    /**
     * @param string $title
     * @param array $paramsArray
     * @return void
     */
    public function label(string $title, array $paramsArray = []): void
    {
        Label::build($title, $paramsArray);
    }

    /**
     * @param string $name
     * @param array $paramsArray
     * @return void
     */
    public function radio(string $name, array $paramsArray = []): void
    {
        RadioButton::build($name, $paramsArray);
    }

    /**
     * @param string $name
     * @param string $value
     * @param array $paramsArray
     * @return void
     */
    public function textarea(string $name, string $value = "", array $paramsArray = []): void
    {
        TextArea::build($name, $value, $paramsArray);
    }

    /**
     * @param string $name
     * @param array $options
     * @param $value
     * @param array $paramsArray
     * @return void
     */
    public function select(string $name, array $options = [], $value = null, array $paramsArray = []): void
    {
      Select::build($name, $options, $value, $paramsArray);

    }

    /**
     * @param string $name
     * @param string $value
     * @param array $paramsArray
     * @return void
     */
    public function button(string $name, string $value, array $paramsArray = []): void
    {
        Button::build($name, $value, $paramsArray);
    }

    /**
     * @return void
     */
    public function endForm(): void
    {
        echo "</form>";

    }
}
