<?php

namespace itguild\forms\inputs;

use itguild\forms\traits\CreateParams;
use itguild\forms\inputs\BaseInput;
class Label extends BaseInput
{
    use CreateParams;

    private string $title;

    private array $paramsArray;


    /**
     * @param string $title
     * @param array $paramsArray
     */
    public function __construct(string $title, array $paramsArray = [])
    {
        $this->title = $title;
        $this->paramsArray = $paramsArray;
    }

    /**
     * @return $this
     */
    public function create(): self
    {
        $paramsString = $this->createParams($this->paramsArray);
        $this->html = "<label $paramsString >$this->title</label>";


        return $this;

    }

    /**
     * @param string $title
     * @param array $paramsArray
     * @return void
     */
    public static function build(string $title, array $paramsArray = [])
    {
        $label = new self($title, $paramsArray);
        $label->create()->render();

    }



}